%define upstream_name    CPAN-Reporter
%define upstream_version 1.2005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Adds CPAN Testers reporting to CPAN.pm
License:    Apache License
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.540.0
BuildRequires: perl(CPAN) >= 1.930.100
BuildRequires: perl(CPAN::Version)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Config::Tiny) >= 2.80.0
BuildRequires: perl(Devel::Autoflush) >= 0.40.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive) >= 0.350.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::HomeDir) >= 0.580.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.190.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(File::pushd) >= 0.320.0
BuildRequires: perl(IO::CaptureOutput) >= 1.30.0
BuildRequires: perl(IO::File)
BuildRequires: perl(IPC::Cmd) >= 0.460.0
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Probe::Perl)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(Test::Reporter) >= 1.540.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The CPAN Testers project captures and analyses detailed results from
building and testing CPAN distributions on multiple operating systems and
multiple versions of Perl. This provides valuable feedback to module
authors and potential users to identify bugs or platform compatibility
issues and improves the overall quality and value of CPAN.

One way individuals can contribute is to send a report for each module that
they test or install. CPAN::Reporter is an add-on for the CPAN.pm module to
send the results of building and testing modules to the CPAN Testers
project. Full support for CPAN::Reporter is available in CPAN.pm as of
version 1.92.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Mar 05 2012 jquelin <jquelin> 1.200.500-1.mga2
+ Revision: 218717
- update to 1.2005

* Wed Feb 22 2012 kharec <kharec> 1.200.400-1.mga2
+ Revision: 211962
- update to 1.2004

* Wed Dec 07 2011 kharec <kharec> 1.200.300-1.mga2
+ Revision: 178304
- update to 1.2003

  + jquelin <jquelin>
    - update to 1.2002

* Wed Feb 16 2011 jquelin <jquelin> 1.190.200-1.mga1
+ Revision: 52582
- update to 1.1902

* Mon Jan 24 2011 jquelin <jquelin> 1.180.300-2.mga1
+ Revision: 36152
- mageia rebuild
- imported package perl-CPAN-Reporter


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 1.180.300-2mdv2011.0
+ Revision: 624647
- Change the license to Apache
- import perl-CPAN-Reporter

